eu.smoser.dungeongenerator.dungeon

## Class Exit

- java.lang.Object
- - eu.smoser.dungeongenerator.dungeon.Exit

    public class Exit
    extends java.lang.Object

### Field Summary

Fields
`boolean` `isStart` If the exit is start
`boolean` `isTrap` If there is a trap in this exit
`Room` `room` The room this exit leads to
`java.lang.String` `trap` Type of trap
`java.lang.String` `type` The type of exit

### Constructor Summary

Constructors
Constructor and Description
`Exit(Room room)` Constructs a random exit to a given room
`Exit(Room room, java.lang.String type)` Constructs a exit of a give type to a room

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Exit` `Start()` Gives the entry
`java.lang.String` `toLongString()` Gives this exits description
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### room

    public Room room

The room this exit leads to

#### type

    public java.lang.String type

The type of exit

#### isStart

    public boolean isStart

If the exit is start

#### isTrap

    public boolean isTrap

If there is a trap in this exit

#### trap

    public java.lang.String trap

Type of trap

### Constructor Detail

#### Exit

    public Exit(Room room)

Constructs a random exit to a given room

Parameters:
  `room` - Room to lead to

#### Exit

    public Exit(Room room,
                java.lang.String type)

Constructs a exit of a give type to a room

Parameters:
  `room` - Room to lead to
  `type` - Type of exit

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toLongString

    public java.lang.String toLongString()

Gives this exits description

Returns:
  Description string

#### Start

    public static Exit Start()

Gives the entry

Returns:
  Entry of dungeon